Pinned Required Wiimmfi Patcher update for Mario Kart Wii

      New

      @Leseratte i thought the mac wiimmfi patcher worked when i ran it yesterday but turns out the wiimmfi-images folder with the iso support to be in it wasn't there (i didn't check if the wiimmfi-images folder wasn't in the wiimmfi patcher v6 folder i just turned my mac off presuming it worked) so i ran the whole command again on terminal and it displays this which i attached via screenshot (btw the red scribbles is covering my mac user name) what should i do? at least i now know how to get the command to work so i thank you for that :)
      Images
      • Screen Shot 2020-07-07 at 19.47.22.png

        133.33 kB, 1,131×738, viewed 13 times
      :43px-GCNController.svg: :23px-SDGecko.svg: :8px-Wiimote1.svg: :iwata:

      New

      Can confirm this happens on my Mac too (using zsh on Big Sur):

      Source Code

      1. ❯ ./patch-wiimmfi.sh
      2. Setup...
      3. ./bin/setup.sh: line 343: ${tool^^}=\"$bin\": bad substitution
      4. ./bin/setup.sh: line 343: ${tool^^}=\"$bin\": bad substitution
      5. ./bin/setup.sh: line 352: : command not found
      6. ./bin/setup.sh: line 353: : command not found
      7. ##----------------------------------------------------------------------------
      8. ## PATCHER = Mario Kart Wii: Wiimmfi patcher v6
      9. ## HOST = mac
      10. ## WIT =
      11. ## WSZST =
      12. ## WIT-VER =
      13. ## WSZST-VER =
      14. ##----------------------------------------------------------------------------
      15. ./bin/setup.sh: ./patch-wiimmfi.sh: line 8: syntax error near unexpected token `&'
      16. ./bin/setup.sh: ./patch-wiimmfi.sh: line 8: ` patch_job wiimmfi "$src" |& tee "_log/${src##*/}.log"'
      Display All

      it's probably some syntax differences between Linux and Mac scripts tbh
      I currently host the DLS1, GAMESTATS, and Peerchat server for Wiimmfi. if you have any issues with leaderboards (excluding MKW!), Mystery Gifts or other in-game downloadables, or Pokémon Wi-Fi Plaza, I can try to help! :P

      New

      Maybe the script uses some newer bash features that the Mac version doesn't have?

      What's the output of bash --version, and can you use a newer version of bash?

      DevkitPro Archiv (alte Versionen / old versions): wii.leseratte10.de/devkitPro/
      Want to donate for Wiimmfi and Wii-Homebrew.com? Patreon / PayPal

      Dieser Beitrag wurde bereits 0 mal editiert, zuletzt von Leseratte ()

      New

      Hey Leseratte,

      I waited 7 days after doing what I thought would fix my problem, which is to run the patcher using this video. It still didn't work.

      So, after having to wait the 7 days twice now (14 days), I'm still having problems, with the error code 23934 show up. Again, I'm on the classic wii, I'm not on Dolphin.

      I'm getting frustrated because I don't know what else to do. And I'm not entirely sure how to get in touch with Mr Bean.

      New

      Interesting. I've only seen that error happen on a real Wii once, where the system files were completely fucked up ...

      - Can you access the Wii Shop Channel without problems?
      - Do you have Bootmii on your Wii / do you have a NAND backup? If so, can you send me the keys.bin file in a private message?
      - If you have Homebrew on your Wii, do you remember what tutorial you used? Maybe there's something weird that you installed ...

      DevkitPro Archiv (alte Versionen / old versions): wii.leseratte10.de/devkitPro/
      Want to donate for Wiimmfi and Wii-Homebrew.com? Patreon / PayPal

      Dieser Beitrag wurde bereits 0 mal editiert, zuletzt von Leseratte ()

      New

      - When I try to access the Wii Shop Channel, I get "Error Code 204904; An error has occurred that cannot be resolved at this time. Please try again later."
      - I do not have Bootmii/NAND backup, if I need it, would you send me a tutorial on how to get it?
      - I do not have Homebrew, I used this tutorial to download CTGP, which did not require Homebrew installation. After I noticed Wiimmfi didn't work because I was getting error code 23934, I eventually used the tutorial I sent in the last message to run a patcher. This gave me the same error code. If I'm supposed to have Homebrew, would you send me a tutorial on how to get it?

      New

      Okay, if your Wii hasn't been homebrewed in the past then Bootmii probably won't be helpful.
      Did you ever use the Wii Shop in the past, do you remember if it ever worked?

      The errors in the Wiimmfi logs for your console seem to indicate some kind of software or hardware defect, but that would usually result in a different error code in the Wii Shop Channel ...

      When you switch the DNS back to automatic (away from the Wiimmfi DNS) do you get the same error for the Shop?

      DevkitPro Archiv (alte Versionen / old versions): wii.leseratte10.de/devkitPro/
      Want to donate for Wiimmfi and Wii-Homebrew.com? Patreon / PayPal

      Dieser Beitrag wurde bereits 0 mal editiert, zuletzt von Leseratte ()

      New

      I sent Leseratte the bash version macOS uses (or rather what Big Sur beta has - it also prefers zsh and thus says to use zsh, that's why I included that too).
      Using the latest version of bash from Homebrew (brew.sh), I have no issues:

      Source Code

      1. ❯ /usr/local/Cellar/bash/5.0.17/bin/bash patch-wiimmfi.sh
      2. Setup...
      3. ##----------------------------------------------------------------------------
      4. ## PATCHER = Mario Kart Wii: Wiimmfi patcher v6
      5. ## HOST = mac
      6. ## WIT = /Users/billy/Downloads/mkw-wiimmfi-patcher-v6/./bin/mac/wit
      7. ## WSZST = /Users/billy/Downloads/mkw-wiimmfi-patcher-v6/./bin/mac/wszst
      8. ## WIT-VER = v3.02a r7679
      9. ## WSZST-VER = v1.64a r7680
      10. ##----------------------------------------------------------------------------
      11. Patch image: ./RMCP01.wbfs
      12. »»» Extract image: ./RMCP01.wbfs «««
      13. wit: Wiimms ISO Tool v3.02a r7679 mac - Dirk Clemens - 2018-11-23
      14. ...
      Display All

      However, this isn't suitable for most people - unless you already have brew (which requires Command Line Tools and root access - a lot of school Macs etc that people may have been given will not have admin), it's kind of annoying to install it just to patch one game for Wiimmfi.
      I currently host the DLS1, GAMESTATS, and Peerchat server for Wiimmfi. if you have any issues with leaderboards (excluding MKW!), Mystery Gifts or other in-game downloadables, or Pokémon Wi-Fi Plaza, I can try to help! :P

      New

      @Leseratte patched it but i have ran into error code 23918 (dolphin nand) but i can't run the wiimmfi unbanner on my slow pc it won't even run, can't run it using winebotter on mac, nothing runs. I'm stumped
      Images
      • Screen Shot 2020-07-10 at 16.32.18.png

        1.26 MB, 2,509×1,735, viewed 4 times
      :43px-GCNController.svg: :23px-SDGecko.svg: :8px-Wiimote1.svg: :iwata:

      The post was edited 1 time, last by Kroolion ().

      New

      What makes you think that running a tool named "Wiimmfi unbanner" is a good idea?

      Import the NAND backup from your Wii instead.

      EDIT: Also, update your Dolphin, 5.0-11 is more than 4 years old.

      DevkitPro Archiv (alte Versionen / old versions): wii.leseratte10.de/devkitPro/
      Want to donate for Wiimmfi and Wii-Homebrew.com? Patreon / PayPal

      Dieser Beitrag wurde bereits 0 mal editiert, zuletzt von Leseratte ()

      New

      @Leseratte i thought you were suppost to use wiimmfi unbanner.exe to urban yourself because dolphin insta bans because I'm using a standard nand. i will import my wii nand but I'm just saying i thought i had to run wiimmfi unbanner.exe

      edit: the main reason my dolphin is a low version is because it has the irl cursor and latest versions don't have wiimote cursor. and my iMac is el capitan which u can't use new versions of dolphin with that since its not compatible.
      :43px-GCNController.svg: :23px-SDGecko.svg: :8px-Wiimote1.svg: :iwata:

      The post was edited 2 times, last by Kroolion ().

      New

      Also, i have a american mkwii wiimmfi patched wbfs file which is what i patched and i have a european wii (4.3e) if i would install my european nand on dolphin then use the American mkwii file would it work (since my nand if i believe has priiloader on it and i have the region free turned on it) and would i have to get a european iso/wbfs file and patch it with wiimmfi

      edit: sorry for wasting ur time im just puzzled over this
      :43px-GCNController.svg: :23px-SDGecko.svg: :8px-Wiimote1.svg: :iwata:

      New

      When using Dolphin it doesn't matter what region the NAND is from. You just need a recent version of Dolphin and a NAND from an actual console.

      DevkitPro Archiv (alte Versionen / old versions): wii.leseratte10.de/devkitPro/
      Want to donate for Wiimmfi and Wii-Homebrew.com? Patreon / PayPal

      Dieser Beitrag wurde bereits 0 mal editiert, zuletzt von Leseratte ()